Name: 	 	onestroke
Summary: 	Gesture recognition for tablet PC's
Version: 	0.8.4
Release: 	%mkrel 4

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		http://risujin.org/onestroke/
Patch0:		onestroke-0.8.4-linking.patch
Patch1:		onestroke-0.8.4-buildfix.patch
License:	GPLv2+
Group:		Accessibility
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel
BuildRequires:  libxtst-devel
BuildRequires:  desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q
%apply_patches

chmod 644 README *.png *.desktop

%build
%setup_compile_flags
%make

%install
%makeinstall_std

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}-0.8
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-4.mga4
+ Revision: 508656
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.4-3.mga3
+ Revision: 361861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-2.mga3
+ Revision: 336024
- redo linking patch
- use our compile flags
- add patch to fix install
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 0.8.4-1.mga1
+ Revision: 82967
- Remove mdv macros
- imported package onestroke


* Tue May 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 377697
- update to new version 0.8.4
- add a patch to fix overlinking
- fix URL / source
- fix icon in desktop file
- fix license (GPLv2+)

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 220242
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2007.0
+ Revision: 122095
- Remove autoconf mistakes
- Fix Build
- New release 0.8.3
- Import onestroke

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.8.2-1mdv2007.0
- 0.8.2

* Thu Jul 27 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- initial package

